package net.geraldloeffler.tasktracker2006.dao;

import java.util.ArrayList;
import java.util.List;
import javax.ejb.Stateless;
import net.geraldloeffler.tasktracker2006.domain.Task;

/**
 * Fake implementation of Data Access Object (DAO) for Task persistent domain
 * objects.
 * 
 * @author Gerald Loeffler
 */
@Stateless
public class TaskDAOBean implements TaskDAO {

  public List<Task> findAll() {
    return new ArrayList<Task>();
  }
}
