package net.geraldloeffler.tasktracker2006.service;

import java.util.Date;
import java.util.List;
import net.geraldloeffler.tasktracker2006.domain.Entry;

/**
 * Service layer operations relating to Entry domain objects.
 * 
 * @author Gerald Loeffler
 */
public interface EntryService {
  Entry createEntry(Entry entry);

  Entry updateEntry(Entry entry);
  
  Entry getEntryByID(int id);

  List<Entry> getEntriesInPeriod(Date from, Date to);
}
